Subject: Pine too strict with Mime errors?

From: [email-masked] (Klaus Wacker)
Date: 25 Nov 1994 14:42:03 GMT

I received an email message which contained the following 3 header
lines (without the '- ' in front, of course):

- Mime-Version: 1.0
- Content-Type: text/plain; charset=ISO-8859-1
- Content-Transfer-Encoding: quoted-printable

The body of the message contained the following line (a header line
from a quoted message, but thats beside the point):

> Content-Type: TEXT/PLAIN; charset=US-ASCII
 
When I look at this message with pine 3.91, I get at this point:

> Content-Type: TEXT/PLAIN; charsetFormatting error: Non-hexadecimal character 
in QP encoding   [Error: 
]  ""

And the rest of the message is not shown.  Pine is of course right -
there is an error. The header said quoted-printable encoding, but the
text wasn't. The =US is the offending part. 

The error is obviously on the side of the originator of the message,
and I told him so. I would suggest however that pine should be more
lenient with this kind of errors and go on to display the rest of the
message.

--
 
|  / |              | | |        |            [email-masked]
| /  |  _       __  | | |  _   _ |     _   _  Klaus Wacker, Exp.Physik V
|/\  |  _\ | | (_   | | |  _\ /  |_)  /_) |   Uni Dortmund
|  \_|_(_|_|_|___)  |_|_|_(_|_\__| \_/\___|   D-44221 Dortmund 
                                              +49 (231) 755 3587